Page MenuHomePhabricator

PHP fatal error: Class 'PHPlot' not found
Closed, ResolvedPublic

Description

Error

Request ID: XHhHEApAICoAAGoUuL0AAACI

Spotted on metawiki

message
metawiki 1.33.0-wmf.19 exception
ERROR:  /w/index.php?title=Special:TranslationStats&preview=1&scale=months&graphit=1&imagescale=2
Error from line 577 of /srv/mediawiki/php-1.33.0-wmf.19/extensions/Translate/specials/SpecialTranslationStats.php: Class 'PHPlot' not found

Repro:

curl https://meta.wikimedia.org/w/index.php?title=Special:TranslationStats&preview=1&scale=months&graphit=1&imagescale=2

Impact

Notes

Details

Related Gerrit Patches:

Event Timeline

hashar triaged this task as High priority.Feb 28 2019, 8:46 PM
hashar created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2019, 8:46 PM

The real problem is that the move to extension.json broke https://gerrit.wikimedia.org/g/operations/mediawiki-config/+/3f2ca17a23fe4631839b4c4b5c87e0d8284d9d9a/wmf-config/CommonSettings.php#2645 – probably needs to use a extension function to unset them now. Also FirstSteps can be removed, it was moved to a separate extension years ago. It's soon midnight here, someone else please pick this up.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptFeb 28 2019, 9:10 PM

Change 493617 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Swap unsetting $wgSpecialPage for DisabledSpecialPage::getCallback( '' )

https://gerrit.wikimedia.org/r/493617

Change 493617 merged by jenkins-bot:
[operations/mediawiki-config@master] Swap unsetting $wgSpecialPage for DisabledSpecialPage::getCallback( '' )

https://gerrit.wikimedia.org/r/493617

Mentioned in SAL (#wikimedia-operations) [2019-02-28T22:29:46Z] <reedy@deploy1001> Synchronized wmf-config/CommonSettings.php: Disable some translate special pages again T217376 (duration: 00m 47s)

Change 493619 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Remove FirstSteps SpecialPage disabling completely

https://gerrit.wikimedia.org/r/493619

Change 493619 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove FirstSteps SpecialPage disabling completely

https://gerrit.wikimedia.org/r/493619

Reedy closed this task as Resolved.Feb 28 2019, 10:32 PM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM